/***************************************************************************
                          setilocation.h  -  description
                             -------------------
    begin                : Wed Apr 10 2002
    copyright            : (C) 2002 by Sebastian Schildt
    email                : sebastian@frozenlight.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SETILOCATION_H
#define SETILOCATION_H

#include <qstring.h>
#include <qfileinfo.h>


/**
  *@author Sebastian Schildt
  */

class SetiLocation {
public: 
	SetiLocation(QString path);
	~SetiLocation();

	enum client_states { RUNNING, STOPPED, FINISHED, LOADING };
  int getState();
	client_states currentState;

	QString getPath() const;
	void updateProc(double pr);

private:
	QString path;
	double proc;

	QFileInfo *wu;
	QFileInfo *wtemp;
	QFileInfo *state;
	QFileInfo *result;
	QFileInfo *reHeader;

};

#endif
